package com.huigou.topsun.quotation.application;

import com.huigou.topsun.quotation.domain.model.QuotationItem;
import com.huigou.topsun.quotation.vo.QuotationItemVo;

import java.util.List;

/**
* @author 16508
* @description 针对表【quotation_item(报价单明细)】的数据库操作Service
* @createDate 2023-11-28 13:59:10
*/
public interface QuotationItemApplication {

    public static final String QUERY_XML_FILE_PATH = "config/topsun/quotation/quotationItem.xml";

    void saveQuotationItems(String quotationId,List<QuotationItem> quotationItem);

    void deleteQuotationItem(List<String> ids);

    void deleteQuotationItemByQuotationId(String quotationId);

    List<QuotationItem> findQuotationItemByQuotationId(String quotationId);

    QuotationItem findById(String id);

    List<QuotationItemVo> queryQuotationItemList(String quotationId);
}
